Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.wli.worklist.api.taskplan
Enum CandidateListHandling

    java.lang.Object
      java.lang.Enum<CandidateListHandling>
          com.bea.wli.worklist.api.taskplan.CandidateListHandling

All Implemented Interfaces:
  Serializable, Comparable<CandidateListHandling>

    public enum CandidateListHandling

extends Enum<CandidateListHandling>

Defines the supported types of handling that can be applied to a list of candidates derived from the assignee list for a task.

Enum Constant Summary
`DEFAULT` If multiple candidates exist, this operates the same as NONE.
`INTERACTIVE` Indicates that a human must participate in the candidate list handling.
`ITERATE_LIST` This action is used to implement the ‘Iterate List’ candidate list handling to successively assign a task to a list of users, and have that task stay at a single step until all users have had a chance to interact with the task.
`LOAD_BALANCING` If multiple candidates exist, apply load balancing to pick the candidate with the lowest workload and (possibly) the highest availability.
`NONE` Assign the task to all candidates, giving them all equal opportunity to claim the task.

Method Summary
`static List<CandidateListHandling>` | `getAllCandidateListHandling()`
`static CandidateListHandling` | `getCandidateListHandling(String name)`
`static List<CandidateListHandling>` | `getDesigntimeAssignableCandidateListHandling()`
`String` | `getDisplayName()` Get a localized display name for this enum, in the form <candidate list handling prefix>:<localized name>.
`static List<CandidateListHandling>` | `getRuntimeAssignableCandidateListHandling()`
`boolean` | `isDesigntimeAssignable()`
`boolean` | `isRuntimeAssignable()` Is this candidate list handling settable by admin action.
`static CandidateListHandling` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CandidateListHandling[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final CandidateListHandling NONE

  Assign the task to all candidates, giving them all equal opportunity to claim the task.

### DEFAULT

    public static final CandidateListHandling DEFAULT

  If multiple candidates exist, this operates the same as NONE. If a single candidate exists, claim the task for that candidate.

### LOAD_BALANCING

    public static final CandidateListHandling LOAD_BALANCING

  If multiple candidates exist, apply load balancing to pick the candidate with the lowest workload and (possibly) the highest availability. If a single candidate exists, claim the task for that candidate.

### INTERACTIVE

    public static final CandidateListHandling INTERACTIVE

  Indicates that a human must participate in the candidate list handling. This value is a flag to worklist user interfaces to show a UI that will help a human user through the candidate list handling process to choose a claimant for this task.

### ITERATE_LIST

    public static final CandidateListHandling ITERATE_LIST

  This action is used to implement the ‘Iterate List’ candidate list handling to successively assign a task to a list of users, and have that task stay at a single step until all users have had a chance to interact with the task. This type of ‘candidate list handling’ works in conjunction with an AssignToNextUser action on the step in order to move through the candidate list for a task. Each time an AssignToNextUser action is taken, the task is assigned to (and automatically claimed for) the next user in the candidate list.

Method Detail

### values

    public static final CandidateListHandling[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(CandidateListHandling c : CandidateListHandling.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static CandidateListHandling valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### getCandidateListHandling

    public static CandidateListHandling getCandidateListHandling(String name)

### getAllCandidateListHandling

    public static List<CandidateListHandling> getAllCandidateListHandling()

### getRuntimeAssignableCandidateListHandling

    public static List<CandidateListHandling> getRuntimeAssignableCandidateListHandling()

### getDesigntimeAssignableCandidateListHandling

    public static List<CandidateListHandling> getDesigntimeAssignableCandidateListHandling()

### isRuntimeAssignable

    public boolean isRuntimeAssignable()

  Is this candidate list handling settable by admin action.

### isDesigntimeAssignable

    public boolean isDesigntimeAssignable()

### getDisplayName

    public String getDisplayName()

  Get a localized display name for this enum, in the form <candidate list handling prefix>:<localized name>.

  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD